## ros-indigo-spin-hokuyo 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(spin_hokuyo)

set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS} -O3")

find_package(catkin REQUIRED COMPONENTS roscpp message_generation pcl_ros laser_geometry geometry_msgs std_msgs tf sensor_msgs)

catkin_package(
  CATKIN_DEPENDS
  actionlib
  dynamixel_driver
  std_msgs
  trajectory_msgs
  diagnostic_msgs
  dynamixel_msgs
  control_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(tilt_motor src/tilt_motor_single_sweep_continuous.cpp)
target_link_libraries(tilt_motor ${catkin_LIBRARIES})

add_executable(tilt_transform src/tilt_transform.cpp)
target_link_libraries(tilt_transform ${catkin_LIBRARIES})

add_executable(scan_to_pcl src/scan_to_pcl.cpp)
target_link_libraries(scan_to_pcl ${catkin_LIBRARIES})

add_executable(pcl_assembler_client src/pcl_assembler_client.cpp)
target_link_libraries(pcl_assembler_client ${catkin_LIBRARIES})

add_executable(tilt_motor_subscribe src/tilt_motor_single_sweep_subscribe.cpp)
target_link_libraries(tilt_motor_subscribe ${catkin_LIBRARIES})

add_executable(hokuyo_robot_filter src/hokuyo_robot_filter.cpp)
target_link_libraries(hokuyo_robot_filter ${catkin_LIBRARIES})

add_executable(commander tutorials/node/commander.cpp)
target_link_libraries(commander ${catkin_LIBRARIES})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-spin-hokuyo (1.0.0-0trusty) trusty; urgency=high

  * Removed dyanmixel files in favor of using dependencies as the apt version now apparently works
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Fixed packages in launch files, as well as renamed and organized
  * Update README.md
  * Fixed dynamixel requirement to be subpackages
  * Added dynamixel_controllers to package.xml depends
  * Added dynamixel_controller to package.xml depends
  * Removed pcl as a dependent because it isn't a package
  * Added even more build depends to package.xml
  * Added required build dependencies to package.xml
  * Update package.xml
  * commenting update
  * Acknowledgements Update
  * Update README.md
  * commenting update
  * commenting update
  * commenting update
  * commenting update
  * commenting updates
  * Delete basic_motors.launch~
  * commenting updates
  * CMakeLists update
  * commenting updates
  * commenting update
  * Update CMakeLists.txt
  * Delete hokuyo_ground_filter.cpp
  * Delete floor_max_z.cpp
  * commenting update
  * commenting update
  * commenting update
  * comment update
  * remove backup file
  * remove backup file
  * adding back CMakeLists
  * Temporarilly removed CMakelist.txt to satisfy failed merge
  * organization
  * Delete CMakeLists.txt
  * moved dynamixel controllers
  * moved scan_to_pcl
  * Removed rviz config files and fixed tilting lidar continuous launch file
  * file location update
  * tutorials update
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Renamed misc files and updated launch files and CMakeLists accordingly
  * Delete combine_clouds.cpp
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Removed extraneous launch files
  * name updates
  * Rename combine_clouds_subscriber.cpp to point_cloud_assembler.cpp
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Renamed hokuyo_filter to hokuyo_robot_filter to fit the naming convention of hokuyo_ground_filter
  * rename for clarity
  * typo
  * file renames
  * Delete combine_clouds.cpp
  * Removed floor removal parameter from octomap
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Removed Plane Extract Ransac from tilting lidar and made minor modifications to launch and cpp files
  * reset clouds
  * Modified combined clouds to allow for parameters and options between time and subscription, changed launch files to allow for further customizations
  * Added support for hokuyo_ground_filter
  * added tolerance
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * remove ground
  * Modified launch files for more universal use and added segmentation launch file and rviz config
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Modified to allow for parameter value to change from dynamixel tilting callback to timer callback
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
    Conflicts:
    tilting_lidar_clean/launch/launch_with_octo/velodyne_hokuyo_octo_tilt_offline.launch
  * plane extraction
  * Disabled Voxel grid as it is uneccesary for non-assembled point clouds
  * Changed name argument to path, requiring full path to be input at launch but allows for universal use across systems
  * Removed rosbag node from online launch file
  * Added launch files for real time octomaps using voxel grid mapping to reduce lag and missed scans
  * Modified offline launch file and added secondary file that accepts point clouds in real time instead of waiting for the full assembled cloud
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * CHANGELOGs added
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Modified offline version of combined octomap generator and created rviz config file
  * tutorials update
  * Renamed package.xml in tutorials package to prevent ros from reading it due to broken status
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * comment updates
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
    Conflicts:
    tilting_lidar_clean/launch/tilting_lidar_continuous.launch
  * Finalized filtered hokuyo scans and added to all launch files
  * Fixed tf values for hokuyo to velodyne
  * Added static tf between servo and velodyne on all launch files excluding subscriber without octo
  * Moved octomap_mapping to launch_with_octo folder
  * Used for offline visualization in rviz
  * Changed hokuyo_filtered back to scan
  * Removed ROS_STREAMs that caused heavy cpu load
  * Fixed old octomap launch file
  * Fixed duplicate names on relay nodes
  * Fixed changes undone by Sarah's second folder confusing git
  * removes robot points from scan
  * Added modified launch file that creates octomap using velodyne and hokuyo data
  * Renamed tilting lidar launch files with octomap to prevent naming conflicts in ros
  * Commented octomap out of launch files and created folder explicitly for such files
  * Added folder for launch files with octomap
  * Changed servo frame to map for better accuracy when moving jackal
  * depricated
  * name update
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * depricated
  * Changed servo fixed frame to map
  * Renamed help file back to .cpp and moved to tutorial folder
  * Merge branch 'master' of https://github.com/RobustFieldAutonomyLab/spin_hokuyo
  * Removed note that has been integrated into readme
  * Update README.md


=== debian/control ===
Source: ros-indigo-spin-hokuyo
Section: misc
Priority: extra
Maintainer: Sarah Bertussi <sbertuss@stevens.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamixel-controllers, ros-indigo-dynamixel-driver, ros-indigo-dynamixel-msgs, ros-indigo-geometry-msgs, ros-indigo-hokuyo-node, ros-indigo-laser-assembler, ros-indigo-laser-geometry, ros-indigo-message-generation, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-spin-hokuyo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-diagnostic-msgs, ros-indigo-dynamixel-driver, ros-indigo-dynamixel-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: This package enables a 2D Hokuyo laser, connected to a Dynamixel servo motor, to produce a 3D point cloud that can be visualized in rviz and used to make an octomap.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-spin-hokuyo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
